#!/bin/bash
if [ $# -lt 3 ]; then
	echo "usage: $0 user host dbname (pgport)"
	exit 1
fi

SCRIPTDIR=$(cd $(dirname $0); pwd)
if [ -f $SCRIPTDIR ]; then
    SCRIPTDIR=.
fi
export PGCLIENTENCODING=UTF8
export PGPASSFILE=$SCRIPTDIR/pgpass.conf

if [ -z "$4" ]
then
    port=5432
else
    port=$4
fi

cd 03Alter
bash install.sh $1 $2 $3 ${port}
cd ..
cd 04Index
bash install.sh $1 $2 $3 ${port}
cd ..
cd 07Data
bash install.sh $1 $2 $3 ${port}
cd ..