chat.privateSearchMaster = [
  {
    pagename: [ "Current Settings" ],
    pageitem: [
      "Account Settings",
      "Default Display Settings",
      "Chat List Settings",
      "Task Reminder Settings",
      "Schedule Settings",
      "Questionnaire Settings",
      "Topic Information Display Settings",
      "Preference Settings",
      "Reaction Notification Settings",
      "Chat Function Settings",
      "Auto Away Settings",
      "Contact Request Auto Approval Setting",
      "Language and Time Zone Settings"
    ],
    pagesubitem: [
      "Login ID",
      "Email Address",
      "List Display Priority",
      "Default Display Number of Room List",
      "Default Display Number of Contact List",
      "Default Display Number of Contact Labels",
      "Reminder Time",
      "Private Schedule",
      "Start Day in Monthly Calendar",
      "Holidays",
      "Number of Location Items",
      "[NEW] Mark on List",
      "Reaction Notification",
      "Notification Contents",
      "Topic Name",
      "Chat Function Settings",
      "Filter Settings",
      "Auto Away Time (min)",
      "Auto-approval of Contact Requests",
      "Language",
      "Time Zone",
      "Daylight Saving Time"
    ],
    highlightid:'pset-main-menu-item-current',
    parentid: '',
    pagehash: 'current'
  },
  {
    pagename: [ "Login ID Settings" ],
    pageitem: [],
    pagesubitem: [ "Login ID" ],
    highlightid: 'pset-main-menu-item-login-id',
    parentid: '',
    pagehash: 'login_id'
  },
  {
    pagename: [ "Password Settings" ],
    pageitem: [],
    pagesubitem: [
      "Current Password",
      "New Password",
      "Retype New Password"
    ],
    highlightid: 'pset-main-menu-item-password',
    parentid: '',
    pagehash: 'password'
  },
  {
    pagename: [ "Email Address Setting" ],
    pageitem: [],
    pagesubitem: [ "Email Address" ],
    highlightid: 'pset-main-menu-item-mailaddress',
    parentid: '',
    pagehash: 'mailaddress'
  },
  {
    pagename: [ "Chat List Settings" ],
    pageitem: [],
    pagesubitem: [
      "List Display Priority",
      "Default Display Number of Room List", 
      "Default Display Number of Contact List", 
      "Default Display Number of Contact Labels"
    ],
    highlightid: 'pset-main-menu-item-chat-setting',
    parentid: '',
    pagehash: 'chat_setting'
  },
  {
    pagename: [ "Task Reminder Settings" ],
    pageitem: [],
    pagesubitem: [ "Reminder Time" ],
    highlightid: 'pset-main-menu-item-todo-alarm',
    parentid: '',
    pagehash: 'todo_alarm'
  },
  {
    pagename: [ "Schedule Settings" ],
    pageitem: [],
    pagesubitem: [
      "Private Schedule",
      "Start Day in Monthly Calendar",
      "Holidays"
    ],
    highlightid: 'pset-main-menu-item-sch-setting',
    parentid: '',
    pagehash: 'sch_setting'
  },
  {
    pagename: [
      "Schedule Settings",
      "Location Item Management"
    ],
    pageitem: [],
    pagesubitem: [],
    highlightid: 'pset-main-menu-item-location',
    parentid: 'pset-main-menu-item-sch-setting',
    pagehash: 'location'
  },
  {
    pagename: [
      "Schedule Settings",
      "External Calendar Connection Settings"
    ],
    pageitem: [ "Confirmation of External Calendar Linkage" ],
    pagesubitem: [
      "External Calendar Connection",
      "Login ID",
      "Password",
      "Past Events (in months)",
      "Future Events (in months)",
      "Linkage Confirmation"
    ],
    highlightid: 'pset-main-menu-item-refer-schedule',
    parentid: 'pset-main-menu-item-sch-setting',
    pagehash: 'refer_schedule'
  },
  {
    pagename: [ "Questionnaire Settings" ],
    pageitem: [],
    pagesubitem: [ "[NEW] Mark on List" ],
    highlightid: 'pset-main-menu-item-question-setting',
    parentid: '',
    pagehash: 'question_setting'
  },
  { 
    pagename: [ 'Topic Information Display Settings' ],
    pageitem: [],
    pagesubitem: [ 'Topic Name' ],
    highlightid: 'pset-main-menu-item-topic-setting',
    parentid: '',
    pagehash: 'topic_setting'
  },
  {
    pagename: [ "desknet's NEO Linked Account Settings" ],
    pageitem: [],
    pagesubitem: [
      "Notifications to desknet's NEO",
      "Access Key",
      "Notification Interval"
    ],
    highlightid: 'pset-main-menu-item-connection-server',
    parentid: '',
    pagehash: 'connection_server'
  },
  {
    pagename: [ "Notifications From External Connections Settings" ],
    pageitem: [],
    pagesubitem: [
      "Accept External Notifications",
      "API Access Key"
    ],
    highlightid: 'pset-main-menu-item-external-notice',
    parentid: '',
    pagehash: 'external_notice'
  },
  {
    pagename: [ 'Reaction Notification Settings' ],
    pageitem: [],
    pagesubitem: [
      "Reaction Notification",
      "Reaction Notification Contents",
      "Notification time",
      "Display Number",
      "Notification Contents"
    ],
    highlightid: 'pset-main-menu-item-reaction-notice',
    parentid: '',
    pagehash: 'reaction_notice'
  },
  {
    pagename: [
      "System Notification Settings",
      "Push Notifications",
      "Rooms"
    ],
    pageitem: [],
    pagesubitem: [],
    highlightid: 'pset-main-menu-item-entry-notice',
    parentid: '',
    pagehash: 'entry_notice'
  },
  {
    pagename: [
      "System Notification Settings",
      "Notification Sound Settings"
    ],
    pageitem: [],
    pagesubitem: [ "Notification Sound Settings" ],
    highlightid: 'pset-main-menu-item-notice-sound',
    parentid: 'pset-main-menu-item-entry-notice',
    pagehash: 'notice_sound'
  },
  {
    pagename: [
      "System Notification Settings",
      "Notification Settings for Smartphone App"
    ],
    pageitem: [],
    pagesubitem: [
      "Push Notification Settings",
      "Weekday Notification",
      "Day Off Notification",
      "Days Off",
      "Holidays"
    ],
    highlightid: 'pset-main-menu-item-notice-to-appli',
    parentid: 'pset-main-menu-item-entry-notice',
    pagehash: 'notice_to_appli'
  },
  {
    pagename: [ "Chat Function Settings" ],
    pageitem: [],
    pagesubitem: [
      "Chat Function Settings",
      "Filter Settings"
    ],
    highlightid: 'pset-main-menu-item-save-conditions',
    parentid: '',
    pagehash: 'save_conditions'
  },
  {
    pagename: [ "Auto Away Settings" ],
    pageitem: [],
    pagesubitem: [
      "Auto Away",
      "Auto Away Time (min)"
    ],
    highlightid: 'pset-main-menu-item-away-time',
    parentid: '',
    pagehash: 'away_time'
  },
  {
    pagename: [ "Contact Request Auto Approval Setting" ],
    pageitem: [],
    pagesubitem: [ "Auto-approval of Contact Requests" ],
    highlightid: 'pset-main-menu-item-auto-contact-acception',
    parentid: '',
    pagehash: 'auto_contact_acception'
  },
  {
    pagename: [ "Language and Time Zone Settings" ],
    pageitem: [],
    pagesubitem: [
      "Language and Time Zone",
      "Language",
      "Time Zone"
    ],
    highlightid: 'pset-main-menu-item-localization',
    parentid: '',
    pagehash: 'localization'
  }
];
