var chat = {};
/**
 * 言語リソース
 */
chat.Resource = {
    "code": "ja_JP",

    // よく使う文言
    "closeLabel": "閉じる",
    "hideLabel": "最小化",
    "applicateLabel": "リクエスト",
    "applicateExternalLabel": "リクエストメール送信",
    "approveLabel": "承認",
    "declineLabel": "否認",
    "inviteInternalLabel": "招待",
    "inviteExternalLabel": "招待メール送信",
    "sendLabel": "送信",
    "deleteLabel": "削除",
    "joinLabel": "参加",
    "turndownLabel": "拒否",
    "leaveLabel": "退室",
    "changeToEditModeLabel": "編集",
    "changeFromEditModeLabel": "完了",
    "loading": "読み込み中…",
    "searching": "検索実行中…",
    "countLabel": "{{count}}件",
    "populationFormat": "{{count}}人",
    "noTitle": "(タイトル未定)",
    "preview": "プレビュー",
    "selectCopyTargetTitle": "複写先の選択",
    "myRoom": "マイルーム",
    "unselected": "(未選択)",

    // データ関連の文言
    "user_state_online": "オンライン",
    "user_state_away": "退席中",
    "user_state_busy": "取り込み中",
    "user_state_offline": "オフライン",
    "user_state_loading": "",
    "publicChatRoom_on": "公開ルーム",
    "publicChatRoom_off": "非公開ルーム",
    "chatState_none": "未参加",
    "chatState_requested": "参加リクエスト中",
    "chatState_unconfirmed": "未承認",
    "user_type_guest": "ゲストユーザー",
    "user_type_inner": "組織内ユーザー",
    "user_type_bot": "チャットボット",
    "userLevel_general": "一般ユーザー",

    // ヘッダー
    "header": {
        "arrivalMessage_invite_room": "ルームへの招待があります。",
        "other_unreads": "他{{count:hs}}件",
        "cross_search_message": "メッセージ横断検索",
        "cross_search_message_result": "メッセージ横断検索結果"
    },

    // 左メニュー
    "menu": {
        "pinLabel": "ピンをつける",
        "unpinLabel": "ピンを外す",
    },

    // チャット(マイルーム/チャットルーム/コンタクト)
    "chat": {
        "myRoom": "マイルーム",
        "detailTitle": "ルーム基本情報",
        "changeHistoryTitle": "変更履歴",
        "readMembersTitle": "メッセージ既読状況",
        "reactionMembersTitle": "リアクション状況",
        "fileSettingTitle": "ファイル設定",
        "commentListTitle": "コメント",
        "shareWithCommentTitle": "コメント",
        "memberChooserTitle": "メンバー選択",
        "goCommentTargetLabel": "コメント先に移動",
        "reminderTitle": "アラーム",
        "resendLabel": "再送信",
        "readText": "既読",
        "readMembersCountText": "{{members:hs}}人中{{reads:hs}}人既読", 
        "confirmToFilesDelete": "選択したファイルを削除します。よろしいですか？",
        "confirmToInviteForce": "登録済みメールアドレスに招待メールを送信しますか？",
        "confirmToBeforeEditMsg": "このメッセージの編集を開始すると入力していた内容が失われます。\nよろしいですか？",
        "confirmToCloseEditMsg": "このメッセージの編集を終了すると入力していた内容が失われます。\nよろしいですか？",
        "confirmToModMsgPublic": "このメッセージを公開にします。\nよろしいですか？",
        "confirmToModMsgSecret": "このメッセージを非公開にします。\nよろしいですか？",
        "deleteAllLabel": "すべて削除",
        "deleteFromDispRangeLabel": "表示範囲から削除",
        "deletedReferenceMessage" : "(このメッセージは削除されました)",
        "notifyMessage_accept_contact": "コンタクトが開始されました。",
        "notifyMessage_add_member": "メンバーを追加しました。",
        "notifyMessage_add_task": "{{name:hs}}さんがタスクを追加しました。",
        "notifyMessage_add_event": "{{name:hs}}さんが予定を追加しました。",
        "notifyMessage_add_question": "{{name:hs}}さんからアンケートが届きました。",
        "notifyMessage_add_topic": "{{name:hs}}さんがトピックを追加しました。",
        "notifyMessage_alarm_todo": "タスクの通知です。",
        "notifyMessage_alarm_schedule": "予定の通知です。",
        "notifyMessage_information": "インフォメーションがあります。",
        "notifyMessage_start_talk": "通話を開始しました。",
        "notifyMessage_cancel_call": "{{name:hs}}さんが通話をキャンセルしました。",
        "notifyMessage_notification_by_admin": "システム管理者からの連絡があります。",
        "notifyMessage_notification_to_room_manager_by_admin": "システム管理者から、{{target_chat_name:hs}}の管理者に連絡があります。",
        "notifyMessage_notification_to_room_member_by_admin": "システム管理者から、{{target_chat_name:hs}}のメンバーに連絡があります。",
        "notifyMessage_notification_to_contact_by_admin": "システム管理者から、{{target_chat_name:hs}}さんとのコンタクトに連絡があります。",
        // ↓システム管理者又はユーザーに通知するメッセージ
        "notifyMessage_errorSchNotify": "スケジュール登録変更のシステム通知に失敗しました。",
        "notifyMessage_errorTaskNotify": "タスク登録変更のシステム通知に失敗しました。",
        "notifyMessage_errorQuestNotify": "アンケート作成のシステム通知に失敗しました。",
        "notifyMessage_errorMemAdmNotify": "ルーム管理者指名のシステム通知に失敗しました。",
        "notifyMessage_errorMemAddNotify": "メンバー追加のシステム通知に失敗しました。",
        "notifyMessage_errorRoomReqNotify": "ルーム参加リクエストのシステム通知に失敗しました。",
        "notifyMessage_errorRoomAcceptNotify": "ルーム参加リクエスト承認のシステム通知に失敗しました。",
        "notifyMessage_errorContactReqNotify": "コンタクトリクエストのシステム通知に失敗しました。",
        "notifyMessage_errorContactAcceptNotify": "コンタクトリクエスト承認のシステム通知に失敗しました。",
        "notifyMessage_errorScheduleRefer": "外部カレンダーの連携に失敗しました。",
        // ↓システム管理者へ通知するメッセージ
        "notifyMessage_errorExecScheduler": "スケジューラの起動に失敗しました。",
        "notifyMessage_errorExecNotify": "システム通知モジュールの起動に失敗しました。",
        "notifyMessage_errorDelUser": "ユーザー削除モジュールの実行中にエラーが発生しました。",
        "notifyMessage_errorDelChat": "チャット削除モジュールの実行中にエラーが発生しました。",
        "notifyMessage_errorDelTemp": "過去のセッションデータおよび一時ファイルの削除に失敗しました。",
        "notifyMessage_errorSaveDel": "保存期間を過ぎたデータの削除に失敗しました。",
        "notifyMessage_errorSendNode": "リアルタイム通信のリクエストに失敗しました。",
        "notifyMessage_errorNewMessageNotify" : "新着メッセージのシステム通知に失敗しました。",
        "notifyMessage_errorDneoNotify": "desknet's NEO連携(メッセージ通知)に失敗しました。",
        "notifyMessage_errorAssistantCom": "アシスタントでエラーが発生しました。",
        "notifyMessage_regist_invited_user": "ゲストユーザーが登録されました。",
        "notifyMessage_errorWebhookReqest": "Webhookリクエストに失敗しました。"
    },

    // コンタクト
    "contact": {
        "applicationTitle": "コンタクトの追加", // ユーザープロフィールからの申請
        "approvalTitle": "コンタクト承認", // ユーザープロフィールからの申請
        "requestAsMailTitle": "メールアドレスでコンタクトの追加",
        "screenShareTitle": "画面を共有しています",
        "labelCreateTitle": "コンタクトラベル作成",
        "labelModifyTitle": "コンタクトラベル変更",
        "labelListMore": "+{{count:hs}} more...",
        "labelListMore_few": "ラベルを付ける"
    },

    // チャットルーム
    "room": {
        "memberChooserTitle": "メンバー",
        "roomChooserTitle": "ルーム",
        "botChooserTitle": "チャットボット",
        "categoryChooserTitle": "ルームの分類",
        "invitedChooserTitle": "ゲスト",
        "requestAsMailTitle": "メールアドレスで招待",
        "invitationTitle": "ゲストユーザー招待",
        "memberAddtionTitle": "メンバーの追加",
        "memberInvitationTitle": "メンバーの招待",
        "invitationApprovalTitle": "ルームへの参加",
        "confirmToInviteButton": "送信内容確認",
        "decideToInviteButton": "招待メール送信",
        "referPublicityFormat": "({{public}}ルーム)",
        "entryTitleWizard_1": "ルーム作成 1 / 4 (基本情報)",
        "entryTitleWizard_2": "ルーム作成 2 / 4 (メンバー設定)",
        "entryTitleWizard_3": "ルーム作成 3 / 4 (公開設定)",
        "entryTitleWizard_4": "ルーム作成 4 / 4 (機能アクセス許可設定)",
        "entryTitleRequest": "ルームへの参加",
        "acceptButton": "参加リクエスト",
        "applicantsButton": "招待中",
        "wizardPrevButton": "< 前へ",
        "wizardNextButton": "次へ >",
        "infoTitle": "ルームインフォメーション",
        "categoryName_notInCategory": "(未分類)"
    },

    // アシスタント
    "assistant": {
        "applicationTitle": "アシスタントの追加",
        "assistantChooserDialogTitle": "アシスタント選択",
        "assistantChooserTitle": "アシスタント",
        "accessKeySettingDialogTitle": "アクセスキーの設定",
        "accessKeyNotSet": "(desknet's NEO連携のアクセスキーは設定されていません)"
    },

    // UIテンプレート
    "uitmpl": {
        "listItemNum": "全{{num}}件"
    },

    // プロフィール
    "profile": {
        "title": "プロフィール",
        "contactButton_none": "コンタクトの追加",
        "contactButton_unconfirmed": "リクエスト取り消し",
        "contactButton_requested": "コンタクト承認",
    },

    // お知らせ
    "information": {
        "update_title": "インフォメーションの変更",
        "manage_button": "ルームインフォメーション管理",
        "message_confirmToDelete": "インフォメーションを削除します。よろしいですか？",
        "message_confirmToDeleteChecked": "選択したインフォメーションを削除してよろしいですか？"
    },

    // タスク
    "task": {
        "detailTitle": "タスクの詳細",
        "no_due": "なし",
        "alarm_start": "期限の{{date}}日前",
        "alarm_everyday": "毎日",
        "alarm_once": "1回のみ",
        "complete": "完了",
        "work": "完了取り消し",
        "entryTitle": "タスクの追加",
        "modifyTitle": "タスクの変更",
        "state_completed": "(完了)",
        "state_active": "(作業中)",
        "label_manage": "ラベル管理",
        "confirmToComplete": "タスクを完了します。よろしいですか？",
        "confirmToDelete": "タスクを削除します。よろしいですか？",
        "confirmToLabelsDelete": "選択したラベルを削除します。よろしいですか？",
        "confirmToWork": "タスクを作業中にします。よろしいですか？",
        "confirmToDeleteLabel": "ラベルをはがします。よろしいですか？",
        "alarm_title": "アラーム"
    },

    // スケジュール
    "calendar": {
        "addTitle": "予定の追加",
        "detailTitle": "予定の詳細",
        "birthday": "誕生日",
        "locationEntryFormat": "場所：{{location:hs}}",
        "modifyTitle": "予定の変更",
        "listWithoutTerm": "期間指定なし",
        "targetOccurrenceTitle_update": "変更対象の日付の選択",
        "targetOccurrenceTitle_delete": "削除対象の日付の選択",
    },

    // リマインダー
    "reminder": {
        "addTitle"              : "リマインダーの追加",
        "modifyTitle"           : "リマインダーの変更",
        "detailTitle"           : "リマインダーの詳細",
        "RecurrenceEditorTitle" : "定期的なリマインダー",
        "DateChooserTitle"      : "不定期なリマインダー",
        "confirmToDelete"       : "リマインダーを削除します。よろしいですか？"
    },

    // アンケート
    "question": {
        "addTitle": "アンケートの作成",
        "modifyTitle": "アンケートの変更",
        "copyTitle" : "アンケートの複写",
        "over_choices": "選択肢の数が最大値{{max}}を超えています。現在の選択肢の数は{{now}}です。",
        "copyOkButtonLabel" : "複写",
        "answer_title": "アンケートの回答",
        "to_result": "結果表示",
        "reanswer": "再回答",
        "doComplete": "受付終了",
        "confirmToComplete": "回答の受付を終了します。よろしいですか？",
        "confirmToDelete": "アンケートを削除します。よろしいですか？",
        "confirmToShare": "シェアにより、あなたとルーム管理者以外からも結果を参照できるようになります。よろしいですか？",
        "confirmToAnswer": "回答します。よろしいですか？",
        "answer": "回答",
        "pulldown_init": "(選択してください)",
        "rank": "{{rank}}位",
        "answer_complete": "回答締切",
        "result_title": "アンケートの結果",
        "other": "（無回答）",
        "when_completed": "{{date}} 締切",
        "when_start": "{{date}} 開始",
        "answerResetLabel": "回答をリセット",
        "notResult": "集計結果がないため、シェアできません。",
        "remainingNumber": "あと{{number}}文字入力できます。",
        "overText": "入力文字数を{{over}}文字超えています。入力できるのは{{max}}文字までです。",
        "export": "ファイル作成中…"
    },

    // ファイル
    "file": {
        "downloadAll": "すべての環境でダウンロードを許可する",
        "downloadIntApp": "外部IPからのダウンロードを許可しない",
        "downloadIntExt": "スマートフォンアプリからのダウンロードを許可しない",
        "downloadIntExtAppImage": "スマートフォンアプリから画像ファイル以外のダウンロードを許可しない",
        "downloadIntExtImageApp": "外部IPから画像ファイル以外のダウンロードを許可しない",
        "downloadIntExtImageAppImage": "外部IPとスマートフォンアプリからの画像ファイル以外のダウンロードを許可しない",
        "downloadIntExtImage": "外部IPからの画像ファイル以外のダウンロードと、スマートフォンアプリからのすべてのダウンロードを許可しない",
        "downloadIntAppImage": "外部IPからのすべてのダウンロードと、スマートフォンアプリからの画像ファイル以外のダウンロードを許可しない",
        "downloadInt": "外部IPとスマートフォンアプリからのダウンロードを許可しない",
        "downloadImageAll": "画像ファイルのみダウンロードを許可する",
        "downloadImageIntExt": "スマートフォンアプリからのダウンロードと、それ以外の環境からの画像ファイル以外のダウンロードを許可しない",
        "downloadImageIntApp": "外部IPからのダウンロードと、それ以外の環境からの画像ファイル以外のダウンロードを許可しない",
        "downloadImageInt": "外部IPとスマートフォンアプリ以外の環境で画像ファイルのみのダウンロードを許可する",
        "downloadNever": "ダウンロードを許可しない",
        "image_title": "画像",
        "confirmToDelete": "ファイルを削除します。よろしいですか？",
        "rename_title": "ファイル名変更",
        "copyTitle": "ファイルの複写",
        "fileName": "ファイル名",
        "fileSize": "サイズ",
        "snippetOmitText": "{{omitted}} more lines...",
        "uploadNameDuplicated": "ファイル「{{name}}」は既に存在していたため置き換えました。",
        "messagePasteInvalidImageFile": "ファイルが壊れている可能性があります。他の画像ファイルを選択してください。",
        "uploadNotAvailable": "メッセージの編集中、コメント中、ボットの選択中はファイルを送信できません。"
    },

    // トピック
    "topic": {
        "addTitle": "トピックの追加",
        "modifyTitle": "トピックの変更",
        "detailTitle": "トピックの詳細",
        "confirmToActive": "トピックを再開します。よろしいですか？",
        "confirmToFinished": "トピックを終了します。よろしいですか？",
        "resume": "再開",
        "finished": "終了",
        "confirmToDelete": "トピックを削除します。よろしいですか？",
        "selectTopicDialogTitle": "トピックの選択",
        "selectTopicDialogTitleForAddMessage": "メッセージ追加先の選択",
    },

    // 後で読む
    "readlater": {
        "confirmToDelete": "後で読むから削除します。よろしいですか？",
    },

    // リアクション  
    "reaction": {
        "contentsNotAll": "「リアクションされました」を表示する",
        "contentsIcon": "リアクションアイコンを表示する",
        "contentsChat": "ルーム名を表示する",
        "contentsUser": "リアクションしたユーザーを表示する",
        "contentsIconChat": "リアクションアイコン/ルーム名を表示する",
        "contentsIconUser": "リアクションアイコン/リアクションしたユーザーを表示する",
        "contentsChatUser": "ルーム名/リアクションしたユーザーを表示する",
        "contentsAll": "リアクションアイコン/ルーム名/リアクションしたユーザーを表示する",
        "reactionNotification": "リアクションされました",
    },

    // ライセンス
    "license": {
        // 種別: ルーム
        "room": {
            "exceedanceLicenseMessage": "{{count}} ルームライセンスが不足しています。",
            "exceedanceNoExpireLicenseMessage": "{{limit}}日以内に{{count}}ルームを削除するか、または、不足しているライセンスをご購入ください。",
            "availableLicenseMessage": "{{count}} ルームライセンス購入済み"
        }
    },

    // ガジェット
    "gadget": {
        "gadgetCodeDialogTitle": "ガジェット用コード取得"
    },

    // 通知
    "Notification": {
        "PUSH_MSG_ROOM_MESSAGE_SEND": "{{value0:h}} : {{value1:h}}さんからメッセージが届きました。",
        "PUSH_MSG_ROOM_MENTION_MESSAGE_SEND": "{{value0:h}} : {{value1:h}}さんからメンションされました。",
        "PUSH_MSG_ROOM_COMMENT_MESSAGE_SEND": "{{value0:h}} : {{value1:h}}さんからコメントされました。",
        "PUSH_MSG_ROOM_REQUEST": "{{value0:h}}に参加リクエストが届きました。",
        "PUSH_MSG_ROOM_APPD": "{{value0:h}}への参加リクエストが承認されました。",
        "PUSH_MSG_ROOM_INVITE": "{{value0:h}} : ルームへの招待があります。",
        "PUSH_MSG_CONTACT_MESSAGE_SEND": "{{value0:h}}さんからメッセージが届きました。",
        "PUSH_MSG_CONTACT_MENTION_MESSAGE_SEND": "{{value0:h}}さんからメンションされました。",
        "PUSH_MSG_CONTACT_COMMENT_MESSAGE_SEND": "{{value0:h}}さんからコメントされました。",
        "PUSH_MSG_CONTACT_REQUEST": "{{value0:h}}さんからコンタクトリクエストが届きました。",
        "PUSH_MSG_CONTACT_APPD": "{{value0:h}}さんへのコンタクトリクエストが承認されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TASK_SHARE": "{{value0:h}} : タスクがシェアされました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_SCHEDULE_SHARE": "{{value0:h}} : スケジュールがシェアされました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_ENQUETE_SHARE": "{{value0:h}} : アンケート結果がシェアされました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_FILE_SHARE": "{{value0:h}} : ファイルがシェアされました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TOPIC_SHARE": "{{value0:h}} : トピックがシェアされました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TASK_ADD": "{{value0:h}} : タスクが追加されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_SCHEDULE_ADD": "{{value0:h}} : スケジュールが追加されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_ENQUETE_ADD": "{{value0:h}} : アンケートが追加されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TOPIC_ADD": "{{value0:h}} : トピックが追加されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_FILE_ADD": "{{value0:h}} : ファイルが追加されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_MEMBER_ADD": "{{value0:h}} : メンバーが追加されました。",
        "PUSH_MSG_SYSTEM_NOTIFICATION_INFO_ADD": "{{value0:h}} : 新しいルームインフォメーションがあります。",
        "PUSH_MSG_SYSTEM_ERROR": "システムエラーが発生しました。マイルームから詳細を確認してください。",
        "PUSH_MSG_system_alarm_schedule": "スケジュールのアラームが届きました。マイルームから詳細を確認してください。",
        "PUSH_MSG_system_alarm_todo": "タスクのアラームが届きました。マイルームから詳細を確認してください。",
        "PUSH_MSG_system_alarm_reminder": "リマインダー : {{value0:h}}",
        "PUSH_MSG_contact_system": "{{value0:h}} : コンタクトを開始しました。",
        "PUSH_MSG_system_cancel_call": "{{value0:h}}さんが通話をキャンセルしました。",
        "PUSH_MSG_system_notification_by_admin": "システム管理者からの連絡があります。",
        "PUSH_MSG_system_notification_to_room_manager_by_admin": "システム管理者から、{{value0:h}}の管理者に連絡があります。",
        "PUSH_MSG_system_notification_to_room_member_by_admin": "システム管理者から、{{value0:h}}のメンバーに連絡があります。",
        "PUSH_MSG_system_notification_to_contact_by_admin": "システム管理者から、{{value0:h}}さんとのコンタクトに連絡があります。",
        "PUSH_MSG_system_external_notice": "{{value0:h}} : {{value1:h}}",
        "PUSH_MSG_system_external_notice_plain": "{{value0:h}}",
        "PUSH_MSG_system_regist_invited_user": "ゲストユーザーが登録されました。",
        "incoming_call": "{{value0:h}}さんから着信しました。"
    },

    // 各種メッセージ
    "Message": {
        "com_notSupportedUserAgent": "お使いのブラウザではChatLuckを使用できません。",
        "com_passwordWillExpire": "パスワードはこちらから変更してください。→<a href=\"{{url}}\">[パスワード設定]</a>",
        "com_confirmCriticalDelete": "削除すると元に戻せません。注意して行ってください。",
        "com_warnNotFound": "W:該当する情報が見つかりませんでした。データが削除された可能性があります。",
        "call_warnCalling": "W:通話中に他の通話を開始できません。",
        "call_warnCallOffline": "W:オフライン状態で通話はできません。",
        "call_warnNoContact": "W:呼び出し先がコンタクトユーザーでないため、通話を開始できません。",
        "call_warnNotInHome": "W:通信相手がチャット機能を表示していないため、画面を共有できません。",
        "call_warnNoTarget": "通話相手が見つかりませんでした。",
        "call_messageDecline": "M:応答がありませんでした。",
        "call_messageIAmBusy": "M:今は出られません。",
        "call_messageCallLater": "M:後でかけ直します。",
        "call_messageErrorOnTarget": "M:通話相手側で問題が発生したため、通話を終了します。",
        "call_messageAcceptedOther": "M:他の端末で通話を行いました。",
        "call_notSupported": "お使いのブラウザでは通話機能を使用できません。",
        "call_notSupported_extra": "対応ブラウザは、Chrome、Firefox、Edgeです。",
        "call_notSupported_screenSharing": "画面共有がサポートされていません。ChromeまたはFirefoxをお使いください。",
        "call_beforeUnload": "画面を更新すると、通話が強制終了します。",
        "call_webrtcError": "E:エラーが発生しました。",
        "call_webrtcError_mediaUnavailable": "W:マイク、又はカメラにアクセスできません。<br>\n機器の接続と設定を確認してください。",
        "call_webrtcError_extensionRequired": "W:画面共有を開始できません。<br>\n以下のURLを参考にして、拡張機能「ChatLuck Desktop Capture」をインストールしてください。",
        "call_webrtcError_mediaSettingRequired": "W:画面共有を開始できません。<br>\n以下のURLを参考にして、ChatLuckで画面共有を許可するように設定してください。",
        "header_contactCount": "{{count:hs}}件のコンタクト通知があります。",
        "header_contactNotFonud": "新しいコンタクト通知はありません。",
        "header_notifyCount": "{{count:hs}}件の通知があります。",
        "header_notifyNotFonud": "新しい通知はありません。",
        "header_messageCount": "{{count:hs}}件の未読メッセージがあります。",
        "header_messageNotFonud": "新しいメッセージはありません。",
        "header_mentionCount": "{{count:hs}}件の未読メンションがあります。",
        "header_mentionNotFound": "新しいメンションはありません。",
        "header_rtconnect": "リアルタイム通信：{{message:T}}",
        "header_rtconnect_ok": "接続中",
        "header_confirmToLogOut": "ログアウトしてよろしいですか？",
        "header_flagCount": "{{count:hs}}件のメッセージが登録されています。",
        "header_flagNotFound": "登録されているメッセージはありません。",
        "chat_confirmToRemove": "選択したユーザーをメンバーから外すと、このルームの以下のデータが削除されます。<br />\n・タスクとスケジュールの登録先<br />\n・選択ユーザーのアンケート回答と下書き<br />\nよろしいですか？",
        "chat_confirmToAccept": "選択したユーザーを承認してよろしいですか？",
        "chat_confirmToDeny": "選択したユーザーを否認してよろしいですか？",
        "chat_confirmToCancelInvitation": "選択したユーザーの招待を取り消してよろしいですか？",
        "chat_confirmToDelete": "本当に削除しますか？",
        "chat_permissionChanged": "「{{user:hs}}」さんの権限を変更しました。",
        "room_confirmToCancelRequest": "このルームへの参加リクエストを取り消してよろしいですか？",
        "room_confirmToRequestAccept": "このルームへ参加します。よろしいですか？",
        "room_confirmToRequestDeny": "このルームへの参加を拒否します。よろしいですか？",
        "room_confirmToInviteExternal": "ゲストユーザーにルームの招待メールを送信してよろしいですか？",
        "room_confirmToApproveInvitation": "このルームへ参加しますか？",
        "room_confirmToCopy": "新しいルームに「{{name}}」のメンバー・設定を引き継いで新規作成を行います。<br />よろしいですか？",
        "room_updatedByAnyone": "ルームの情報が更新されました。<a href=\"#\">ここ</a>をクリックすると、すぐに再表示します。",
        "room_expireToAdd": "招待から{{limit}}経過した場合、該当ユーザーへの招待は無効となります。",
        "room_entrySuccess": "ルームの作成に成功しました。",
        "contact_confirmToCancelRequest": "リクエストを取り消します。よろしいですか？",
        "contact_confirmToRelease": "コンタクトを解除してよろしいですか？<br>\nチャットメッセージ、タスク、スケジュール、ファイル、トピックはすべて削除されます。",
        "contact_confirmToApprove": "このリクエストを承認しますか？",
        "contant_confirmToRequestExternal": "ゲストユーザーにコンタクトのリクエストメールを送信してよろしいですか？",
        "contact_expireToAdd": "リクエストしてから{{limit}}経過した場合、該当ユーザーへのリクエストは無効となります。",
        "assistant_confirmToRelease": "アシスタントを解除してよろしいですか？<br>\nチャットメッセージはすべて削除されます。",
        "message_confirmToDelete":"メッセージを削除します。よろしいですか？",
        "message_replyTargetNotFound": "メッセージが削除されました。",
        "message_uploadIsNotAllowed":"ファイルのアップロードが許可されていません。",
        "message_searchNotFound":"入力されたキーワードを含むメッセージが他にありませんでした。",
        "message_searchByIDNotFound": "該当メッセージが存在しないため、付近のメッセージを表示します。",
        "message_deleteWithData_file": "メッセージとファイルを削除しました。",
        "message_deleteWithData_task": "メッセージとタスクを削除しました。",
        "message_deleteWithData_calendar": "メッセージと予定を削除しました。",
        "message_deleteWithData_question": "メッセージとアンケートを削除しました。",
        "message_deleteWithData_topic": "メッセージとトピックを削除しました。",
        "message_deletedDuringComment": "コメント入力中にメッセージが削除されました。",
        "message_deletedDuringEdit": "編集中にメッセージが削除されました。",
        "message_deletedMentionDuringEdit": "メッセージの編集ではメンションの宛先を削除できません。",
        "profile_defaultMemoGuide": "ダブルクリックすると、個人用備忘録を変更できます。",
        "calendar_reminderFormat_minute": "{{value:hs}}分前に送信する",
        "calendar_reminderFormat_hour": "{{value:hs}}時間前に送信する",
        "calendar_reminderFormat_day": "{{value:hs}}日前に送信する",
        "calendar_occurrenceChooser_update": "変更する対象を選択してください。",
        "calendar_occurrenceChooser_delete": "削除する対象を選択してください。",
        "calendar_confirmToDelete": "予定を削除してよろしいですか？",
        "share": "シェアします。よろしいですか？",
        "gadget_close_websocket": "W:リアルタイム通信の接続が切れています。",
        "cancelBatch": "バッチ処理を中止します。よろしいですか？",
        "read_later_entrySuccess": "「後で読む」に追加しました。",
        "read_later_deleteSuccess": "「後で読む」から削除しました。",
        "topic_entrySuccess": "トピックに追加しました。",
        "topic_deleteSuccess": "トピックから削除しました。",
        "topic_no_message_replyTargetNotFound": "トピックに含まれていないか、削除されたメッセージです。",
        "topic_message_replyTargetNotFound": "トピックに含まれているか、削除されたメッセージです。",
        "topic_mode_confirmToUpdate": "コメントするメッセージと同じトピックを選択しますか？",
        "topic_mode_confirmToRelease": "コメントメッセージ入力中に選択していたトピックが変更されました。<br>\nトピックの選択も解除しますか？"
    },

    // 設定内検索
    "SearchSetting": {
        "searchKeyword_overText": "キーワードの文字数が制限を越えました。100文字まで入力できます。"
    },

    // システム状況
    "systemState": {
        "serverEnvironmentInformation"  : "お使いのサーバー環境情報",
        "os"                : "OS",
        "webServer"         : "Webサーバー",
        "database"          : "データベース",
        "realtimeServerStatus"  : "リアルタイムサーバー稼働状況",
        "accessPoint"           : "接続先",
        "numberOfConnections"   : "接続数",
        "ssl"               : "SSL",
        "proxyServer"       : "プロキシサーバー",
        "host"              : "ホスト",
        "port"              : "ポート番号",
        "networkSeparation" : "ネットワーク分離稼働状況",
        "serverStatus"      : "サーバー稼働状況",
        "server"            : "サーバー",
        "mainServer"        : "メインサーバー",
        "relayServer"       : "中継サーバー",
        "functionalSettings": "本サーバーの機能設定",
        "fileUpload"        : "ファイルアップロード",
        "fileDownload"      : "ファイルダウンロード",
        "termAuth"          : "端末認証",
        "pushNotification"  : "プッシュ通知",
        "appBasicURLForRelayServer" : "中継サーバー用のアプリ基本URL"
    }
};

/**
 * サーバー(リアルタイム通信)のエラーメッセージ
 */
// ログイン関連
app.Resource.Message.rs_error_session_unknown = "W:要求された処理にアクセスできません。<br>\n権限の変更が発生したかセッションが切れた可能性があります。作業を中断し、最初からやり直してください。";
// API関連
app.Resource.Message.rs_error_param_faild = "リクエストが不正です。内容を確認して再度送信してください。";
// DB関連
app.Resource.Message.rs_error_db_faild = "データベースのアクセスに失敗しました。";
// WebRTC関連
app.Resource.Message.rs_error_user_not_logged_in = "W:呼び出し先がオフラインです。";
app.Resource.Message.rs_error_send_error = "通信エラーが発生しました。";
app.Resource.Message.rs_error_user_busy = "W:呼び出し先が通話中です。";
app.Resource.Message.rs_error_user_not_supported = "W:呼び出し先が着信できる状態ではありません。";
app.Resource.Message.rs_error_not_response = chat.Resource.Message.call_messageDecline;
